#include "xbrushwrapper.h"

XBrushWrapper::XBrushWrapper()
    : XAsset()
    , mMins()
    , mContents(0)
    , mMaxs()
    , mNumSides(0)
    , mSides()
    , mAxialMaterialNum()
    , mBaseAdjacentSide(nullptr)
    , mFirstAdjacentSideOffsets()
    , mEdgeCount()
    , mTotalEdgeCount(0)
    , mPlanes(nullptr)
{
    
}

XBrushWrapper::~XBrushWrapper()
{
    
}

void XBrushWrapper::ParseData(QDataStream *aStream)
{
    
}

void XBrushWrapper::Clear()
{
    mMins = QVector3D();
    mContents = 0;
    mMaxs = QVector3D();
    mNumSides = 0;
    mSides.clear();
    mAxialMaterialNum.clear();
    mBaseAdjacentSide = nullptr;
    mFirstAdjacentSideOffsets.clear();
    mEdgeCount.clear();
    mTotalEdgeCount = 0;
    mPlanes->Clear();
}
